Bug 985835 - cinder [TEXT]: error output when trying to create a volume from a snapshot which is in error state is not completely clear
cinder [TEXT]: error output when trying to create a volume from a snapshot wh...
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity low
: ---
: 4.0
Assigned To: RHOS Maint
Haim
storage
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 06:57 EDT by Dafna Ron
Modified: 2016-04-26 10:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-20 05:25:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dafna Ron 2013-07-18 06:57:30 EDT
Description of problem:

when we try to create a volume from a snapshot which is in error status we are getting the below error: 

ERROR: Invalid snapshot: status must be available

my first thought when seeing this was that the snapshot itself was not available and not that we are referring to the snapshot's status.

I think that if we change it to: 'snapshot's status must be available'
it would make the error message a clearer 

Version-Release number of selected component (if applicable):

openstack-cinder-2013.1.2-3.el6ost.noarch

How reproducible:

100%

Steps to Reproduce:
1. change openstack to work with external nfs storage 
2. create snapshot for a volume
3. create a volume from the snapshot

Actual results:

we fail to create the snapshot with the following error: 

ERROR: Invalid snapshot: status must be available

Expected results:

I think that if we add the word snapshot's before 'status must be available' it will make the error a bit clearer. 

Additional info:
Comment 1 Ayal Baron 2013-08-20 05:25:30 EDT
The error states that the snapshot is invalid, the status should be 'available'.

Note You need to log in before you can comment on or make changes to this bug.